complexType "TradeDetails"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 14 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | tradeDate?, clearedDate?, effectiveDate?, terminationDate?, ((primaryAssetClass, secondaryAssetClass*, productType*, productId*) | (((productType+, productId*) | productId+), assetClass*))?, underlyer*, notional*
</...>

Content Model Elements (14):

  assetClass (defined in Product.model group), clearedDate (in tradeDetails), effectiveDate (in tradeDetails), notional (in tradeDetails), primaryAssetClass (defined in Product.model group), productId (defined in Product.model group), productId (defined in Product.model group), | productId (defined in Product.model group), productType (defined in Product.model group), productType (defined in Product.model group), secondaryAssetClass (defined in Product.model group), terminationDate (in tradeDetails), tradeDate (in tradeDetails), underlyer (in tradeDetails)

All Direct / Indirect Based Elements (1):

  tradeDetails

Known Usage Locations

- As direct type of elements (1):
  tradeDetails

Annotation
Summary trade economic details used to help identify a trade where no shared trade ID is available.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="TradeDetails"> <xsd:sequence> <xsd:element minOccurs="0" name="tradeDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="clearedDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableDate2"/> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableDate2"/> <xsd:group ref="Product.model"/> <!-- <xsd:element name="productType" type="ProductType" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">A classification of the type of product. FpML does not define domain values for this element.</xsd:documentation> </xsd:annotation> </xsd:element> --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="underlyer" type="TradeUnderlyer"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="notional" type="CashflowNotional"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/14)
clearedDate

  Type: | IdentifiedDate, simple content

  If the trade was cleared (novated) through a central counterparty clearing service, this represents the date the trade was cleared (transferred to the central counterparty).
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="clearedDate" type="IdentifiedDate"/>

effectiveDate

  Type: | AdjustableDate2, complex content

  The earliest of all the effective dates of all constituent streams.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableDate2"/>

notional

  Type: | CashflowNotional, complex content

  The notional or notionals in effect on the last day of the last calculation period in each stream.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="notional" type="CashflowNotional"/>

terminationDate

  Type: | AdjustableDate2, complex content

  The latest of all of the termination dates of the constituent streams.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="terminationDate" type="AdjustableDate2"/>

tradeDate

  Type: | IdentifiedDate, simple content

  The trade date. This is the date the trade was originally executed. In the case of a novation, the novated part of the trade should be reported (by both the remaining party and the transferee) using a trade date corresponding to the date the novation was agreed. The remaining part of a trade should be reported (by both the transferor and the remaining party) using a trade date corresponding to the original execution date.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tradeDate" type="IdentifiedDate"/>

underlyer

  Type: | TradeUnderlyer, complex content

  The set of underlyers to the trade that can be used in computing the trade's cashflows. If this information is needed to identify the trade, all of the trade's underlyers should be specified, whether or not they figure into the cashflow calculation. Otherwise, only those underlyers used to compute this particular cashflow need be supplied.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="underlyer" type="TradeUnderlyer"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.